<div class="agent-state-directive" uib-dropdown on-toggle="toggled(open)">
    <a id="agent-state-menu" uib-dropdown-toggle>
        <i class="fa" ng-class="getAgentStateClassName(agentState)" aria-hidden="true"></i>
        <span class="agent-state-name">{{agentState.name | translate}}</span>
        <span class="agent-state-cause" title="{{agentState.causeName}}">{{agentState.causeName}}</span>
        <span ng-if="displayTime()">
            <span class="agent-state-time">- {{agentState.timeInState | timeInState}}</span>
        </span> 
    </a>
    <span class="main phone">
        <i ng-if="!connectedHIDDevice" class="fa fa-phone" aria-hidden="true"></i>
        <i ng-if="connectedHIDDevice" class="fa fa-headphones blinking" aria-hidden="true" title="{{connectedHIDDevice}}"></i>
        {{agentState.phoneNb}}
    </span>
    <span class="main switch-phone" ng-click="changePhoneNumber()" title="{{'AGT_SWITCH_NUMBER' | translate}}">
        <svg width="15px" height="15px" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M20 17H4M4 17L8 13M4 17L8 21M4 7H20M20 7L16 3M20 7L16 11" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
    </span>
    <ul class="dropdown-menu" uib-dropdown-menu aria-labelledby="agent-state-menu">
        <div class="input-group">
            <input id="search-status" type="text" ng-model="searchStatus" placeholder="{{'AGT_CONTENT_SEARCHSTATUS' | translate}}" class="form-control" ng-click="preventClose($event)" aria-label="Search" autocomplete="off"/>
            <a ng-if="searchStatus" ng-click="preventClose($event); emptyInput()" class="clear-input" title="{{'AGT_CLEAR_BOX' | translate}}">x</a>
            <span class="input-group-addon" ng-click="preventClose($event)">
                <span class="fa fa-search" aria-hidden="true"></span>
            </span>
        </div>
        <li ng-repeat="item in ctiStatuses | filter:{displayName: searchStatus}">
            <a href ng-click="switchState(item)" title="{{item.displayName}}">
                <i class="fa" ng-class="getAgentStateClassName(item)" aria-hidden="true"></i>
                <span class="status-item" ng-if="item.status === undefined">{{item.name | translate }}</span>
                <span class="status-item" ng-if="item.status !== undefined">{{item.displayName}}</span>
            </a>
        </li>
    </ul>
</div>
